import { SVGAttributes } from 'vue';
import { BackgroundVariant } from '../../types';
export interface BackgroundProps extends SVGAttributes {
    variant?: BackgroundVariant;
    gap?: number;
    color?: string;
    size?: number;
}
declare const _default: import("vue").DefineComponent<{
    variant: {
        type: import("vue").PropType<BackgroundVariant>;
    } & {
        default: BackgroundVariant;
    };
    gap: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    color: {
        type: import("vue").PropType<string>;
    };
    size: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    innerHTML: {
        type: import("vue").PropType<string>;
    };
    class: {
        type: import("vue").PropType<any>;
    };
    style: {
        type: import("vue").PropType<string | import("vue").CSSProperties>;
    };
    height: {
        type: import("vue").PropType<string | number>;
    };
    id: {
        type: import("vue").PropType<string>;
    };
    lang: {
        type: import("vue").PropType<string>;
    };
    max: {
        type: import("vue").PropType<string | number>;
    };
    media: {
        type: import("vue").PropType<string>;
    };
    method: {
        type: import("vue").PropType<string>;
    };
    min: {
        type: import("vue").PropType<string | number>;
    };
    name: {
        type: import("vue").PropType<string>;
    };
    target: {
        type: import("vue").PropType<string>;
    };
    type: {
        type: import("vue").PropType<string>;
    };
    width: {
        type: import("vue").PropType<string | number>;
    };
    role: {
        type: import("vue").PropType<string>;
    };
    tabindex: {
        type: import("vue").PropType<string | number>;
    };
    'accent-height': {
        type: import("vue").PropType<string | number>;
    };
    accumulate: {
        type: import("vue").PropType<"none" | "sum">;
    };
    additive: {
        type: import("vue").PropType<"replace" | "sum">;
    };
    'alignment-baseline': {
        type: import("vue").PropType<"inherit" | "auto" | "baseline" | "middle" | "after-edge" | "alphabetic" | "before-edge" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge">;
    };
    allowReorder: {
        type: import("vue").PropType<"yes" | "no">;
    };
    alphabetic: {
        type: import("vue").PropType<string | number>;
    };
    amplitude: {
        type: import("vue").PropType<string | number>;
    };
    'arabic-form': {
        type: import("vue").PropType<"initial" | "medial" | "terminal" | "isolated">;
    };
    ascent: {
        type: import("vue").PropType<string | number>;
    };
    attributeName: {
        type: import("vue").PropType<string>;
    };
    attributeType: {
        type: import("vue").PropType<string>;
    };
    autoReverse: {
        type: import("vue").PropType<string | number>;
    };
    azimuth: {
        type: import("vue").PropType<string | number>;
    };
    baseFrequency: {
        type: import("vue").PropType<string | number>;
    };
    'baseline-shift': {
        type: import("vue").PropType<string | number>;
    };
    baseProfile: {
        type: import("vue").PropType<string | number>;
    };
    bbox: {
        type: import("vue").PropType<string | number>;
    };
    begin: {
        type: import("vue").PropType<string | number>;
    };
    bias: {
        type: import("vue").PropType<string | number>;
    };
    by: {
        type: import("vue").PropType<string | number>;
    };
    calcMode: {
        type: import("vue").PropType<string | number>;
    };
    'cap-height': {
        type: import("vue").PropType<string | number>;
    };
    clip: {
        type: import("vue").PropType<string | number>;
    };
    'clip-path': {
        type: import("vue").PropType<string>;
    };
    clipPathUnits: {
        type: import("vue").PropType<string | number>;
    };
    'clip-rule': {
        type: import("vue").PropType<string | number>;
    };
    'color-interpolation': {
        type: import("vue").PropType<string | number>;
    };
    'color-interpolation-filters': {
        type: import("vue").PropType<"inherit" | "auto" | "linearRGB" | "sRGB">;
    };
    'color-profile': {
        type: import("vue").PropType<string | number>;
    };
    'color-rendering': {
        type: import("vue").PropType<string | number>;
    };
    contentScriptType: {
        type: import("vue").PropType<string | number>;
    };
    contentStyleType: {
        type: import("vue").PropType<string | number>;
    };
    cursor: {
        type: import("vue").PropType<string | number>;
    };
    cx: {
        type: import("vue").PropType<string | number>;
    };
    cy: {
        type: import("vue").PropType<string | number>;
    };
    d: {
        type: import("vue").PropType<string>;
    };
    decelerate: {
        type: import("vue").PropType<string | number>;
    };
    descent: {
        type: import("vue").PropType<string | number>;
    };
    diffuseConstant: {
        type: import("vue").PropType<string | number>;
    };
    direction: {
        type: import("vue").PropType<string | number>;
    };
    display: {
        type: import("vue").PropType<string | number>;
    };
    divisor: {
        type: import("vue").PropType<string | number>;
    };
    'dominant-baseline': {
        type: import("vue").PropType<string | number>;
    };
    dur: {
        type: import("vue").PropType<string | number>;
    };
    dx: {
        type: import("vue").PropType<string | number>;
    };
    dy: {
        type: import("vue").PropType<string | number>;
    };
    edgeMode: {
        type: import("vue").PropType<string | number>;
    };
    elevation: {
        type: import("vue").PropType<string | number>;
    };
    'enable-background': {
        type: import("vue").PropType<string | number>;
    };
    end: {
        type: import("vue").PropType<string | number>;
    };
    exponent: {
        type: import("vue").PropType<string | number>;
    };
    externalResourcesRequired: {
        type: import("vue").PropType<string | number>;
    };
    fill: {
        type: import("vue").PropType<string>;
    };
    'fill-opacity': {
        type: import("vue").PropType<string | number>;
    };
    'fill-rule': {
        type: import("vue").PropType<"inherit" | "evenodd" | "nonzero">;
    };
    filter: {
        type: import("vue").PropType<string>;
    };
    filterRes: {
        type: import("vue").PropType<string | number>;
    };
    filterUnits: {
        type: import("vue").PropType<string | number>;
    };
    'flood-color': {
        type: import("vue").PropType<string | number>;
    };
    'flood-opacity': {
        type: import("vue").PropType<string | number>;
    };
    focusable: {
        type: import("vue").PropType<string | number>;
    };
    'font-family': {
        type: import("vue").PropType<string>;
    };
    'font-size': {
        type: import("vue").PropType<string | number>;
    };
    'font-size-adjust': {
        type: import("vue").PropType<string | number>;
    };
    'font-stretch': {
        type: import("vue").PropType<string | number>;
    };
    'font-style': {
        type: import("vue").PropType<string | number>;
    };
    'font-variant': {
        type: import("vue").PropType<string | number>;
    };
    'font-weight': {
        type: import("vue").PropType<string | number>;
    };
    format: {
        type: import("vue").PropType<string | number>;
    };
    from: {
        type: import("vue").PropType<string | number>;
    };
    fx: {
        type: import("vue").PropType<string | number>;
    };
    fy: {
        type: import("vue").PropType<string | number>;
    };
    g1: {
        type: import("vue").PropType<string | number>;
    };
    g2: {
        type: import("vue").PropType<string | number>;
    };
    'glyph-name': {
        type: import("vue").PropType<string | number>;
    };
    'glyph-orientation-horizontal': {
        type: import("vue").PropType<string | number>;
    };
    'glyph-orientation-vertical': {
        type: import("vue").PropType<string | number>;
    };
    glyphRef: {
        type: import("vue").PropType<string | number>;
    };
    gradientTransform: {
        type: import("vue").PropType<string>;
    };
    gradientUnits: {
        type: import("vue").PropType<string>;
    };
    hanging: {
        type: import("vue").PropType<string | number>;
    };
    'horiz-adv-x': {
        type: import("vue").PropType<string | number>;
    };
    'horiz-origin-x': {
        type: import("vue").PropType<string | number>;
    };
    href: {
        type: import("vue").PropType<string>;
    };
    ideographic: {
        type: import("vue").PropType<string | number>;
    };
    'image-rendering': {
        type: import("vue").PropType<string | number>;
    };
    in2: {
        type: import("vue").PropType<string | number>;
    };
    in: {
        type: import("vue").PropType<string>;
    };
    intercept: {
        type: import("vue").PropType<string | number>;
    };
    k1: {
        type: import("vue").PropType<string | number>;
    };
    k2: {
        type: import("vue").PropType<string | number>;
    };
    k3: {
        type: import("vue").PropType<string | number>;
    };
    k4: {
        type: import("vue").PropType<string | number>;
    };
    k: {
        type: import("vue").PropType<string | number>;
    };
    kernelMatrix: {
        type: import("vue").PropType<string | number>;
    };
    kernelUnitLength: {
        type: import("vue").PropType<string | number>;
    };
    kerning: {
        type: import("vue").PropType<string | number>;
    };
    keyPoints: {
        type: import("vue").PropType<string | number>;
    };
    keySplines: {
        type: import("vue").PropType<string | number>;
    };
    keyTimes: {
        type: import("vue").PropType<string | number>;
    };
    lengthAdjust: {
        type: import("vue").PropType<string | number>;
    };
    'letter-spacing': {
        type: import("vue").PropType<string | number>;
    };
    'lighting-color': {
        type: import("vue").PropType<string | number>;
    };
    limitingConeAngle: {
        type: import("vue").PropType<string | number>;
    };
    local: {
        type: import("vue").PropType<string | number>;
    };
    'marker-end': {
        type: import("vue").PropType<string>;
    };
    markerHeight: {
        type: import("vue").PropType<string | number>;
    };
    'marker-mid': {
        type: import("vue").PropType<string>;
    };
    'marker-start': {
        type: import("vue").PropType<string>;
    };
    markerUnits: {
        type: import("vue").PropType<string | number>;
    };
    markerWidth: {
        type: import("vue").PropType<string | number>;
    };
    mask: {
        type: import("vue").PropType<string>;
    };
    maskContentUnits: {
        type: import("vue").PropType<string | number>;
    };
    maskUnits: {
        type: import("vue").PropType<string | number>;
    };
    mathematical: {
        type: import("vue").PropType<string | number>;
    };
    mode: {
        type: import("vue").PropType<string | number>;
    };
    numOctaves: {
        type: import("vue").PropType<string | number>;
    };
    offset: {
        type: import("vue").PropType<string | number>;
    };
    opacity: {
        type: import("vue").PropType<string | number>;
    };
    operator: {
        type: import("vue").PropType<string | number>;
    };
    order: {
        type: import("vue").PropType<string | number>;
    };
    orient: {
        type: import("vue").PropType<string | number>;
    };
    orientation: {
        type: import("vue").PropType<string | number>;
    };
    origin: {
        type: import("vue").PropType<string | number>;
    };
    overflow: {
        type: import("vue").PropType<string | number>;
    };
    'overline-position': {
        type: import("vue").PropType<string | number>;
    };
    'overline-thickness': {
        type: import("vue").PropType<string | number>;
    };
    'paint-order': {
        type: import("vue").PropType<string | number>;
    };
    'panose-1': {
        type: import("vue").PropType<string | number>;
    };
    pathLength: {
        type: import("vue").PropType<string | number>;
    };
    patternContentUnits: {
        type: import("vue").PropType<string>;
    };
    patternTransform: {
        type: import("vue").PropType<string | number>;
    };
    patternUnits: {
        type: import("vue").PropType<string>;
    };
    'pointer-events': {
        type: import("vue").PropType<string | number>;
    };
    points: {
        type: import("vue").PropType<string>;
    };
    pointsAtX: {
        type: import("vue").PropType<string | number>;
    };
    pointsAtY: {
        type: import("vue").PropType<string | number>;
    };
    pointsAtZ: {
        type: import("vue").PropType<string | number>;
    };
    preserveAlpha: {
        type: import("vue").PropType<string | number>;
    };
    preserveAspectRatio: {
        type: import("vue").PropType<string>;
    };
    primitiveUnits: {
        type: import("vue").PropType<string | number>;
    };
    r: {
        type: import("vue").PropType<string | number>;
    };
    radius: {
        type: import("vue").PropType<string | number>;
    };
    refX: {
        type: import("vue").PropType<string | number>;
    };
    refY: {
        type: import("vue").PropType<string | number>;
    };
    renderingIntent: {
        type: import("vue").PropType<string | number>;
    };
    repeatCount: {
        type: import("vue").PropType<string | number>;
    };
    repeatDur: {
        type: import("vue").PropType<string | number>;
    };
    requiredExtensions: {
        type: import("vue").PropType<string | number>;
    };
    requiredFeatures: {
        type: import("vue").PropType<string | number>;
    };
    restart: {
        type: import("vue").PropType<string | number>;
    };
    result: {
        type: import("vue").PropType<string>;
    };
    rotate: {
        type: import("vue").PropType<string | number>;
    };
    rx: {
        type: import("vue").PropType<string | number>;
    };
    ry: {
        type: import("vue").PropType<string | number>;
    };
    scale: {
        type: import("vue").PropType<string | number>;
    };
    seed: {
        type: import("vue").PropType<string | number>;
    };
    'shape-rendering': {
        type: import("vue").PropType<string | number>;
    };
    slope: {
        type: import("vue").PropType<string | number>;
    };
    spacing: {
        type: import("vue").PropType<string | number>;
    };
    specularConstant: {
        type: import("vue").PropType<string | number>;
    };
    specularExponent: {
        type: import("vue").PropType<string | number>;
    };
    speed: {
        type: import("vue").PropType<string | number>;
    };
    spreadMethod: {
        type: import("vue").PropType<string>;
    };
    startOffset: {
        type: import("vue").PropType<string | number>;
    };
    stdDeviation: {
        type: import("vue").PropType<string | number>;
    };
    stemh: {
        type: import("vue").PropType<string | number>;
    };
    stemv: {
        type: import("vue").PropType<string | number>;
    };
    stitchTiles: {
        type: import("vue").PropType<string | number>;
    };
    'stop-color': {
        type: import("vue").PropType<string>;
    };
    'stop-opacity': {
        type: import("vue").PropType<string | number>;
    };
    'strikethrough-position': {
        type: import("vue").PropType<string | number>;
    };
    'strikethrough-thickness': {
        type: import("vue").PropType<string | number>;
    };
    string: {
        type: import("vue").PropType<string | number>;
    };
    stroke: {
        type: import("vue").PropType<string>;
    };
    'stroke-dasharray': {
        type: import("vue").PropType<string | number>;
    };
    'stroke-dashoffset': {
        type: import("vue").PropType<string | number>;
    };
    'stroke-linecap': {
        type: import("vue").PropType<"inherit" | "round" | "butt" | "square">;
    };
    'stroke-linejoin': {
        type: import("vue").PropType<"inherit" | "round" | "bevel" | "miter">;
    };
    'stroke-miterlimit': {
        type: import("vue").PropType<string | number>;
    };
    'stroke-opacity': {
        type: import("vue").PropType<string | number>;
    };
    'stroke-width': {
        type: import("vue").PropType<string | number>;
    };
    surfaceScale: {
        type: import("vue").PropType<string | number>;
    };
    systemLanguage: {
        type: import("vue").PropType<string | number>;
    };
    tableValues: {
        type: import("vue").PropType<string | number>;
    };
    targetX: {
        type: import("vue").PropType<string | number>;
    };
    targetY: {
        type: import("vue").PropType<string | number>;
    };
    'text-anchor': {
        type: import("vue").PropType<string>;
    };
    'text-decoration': {
        type: import("vue").PropType<string | number>;
    };
    textLength: {
        type: import("vue").PropType<string | number>;
    };
    'text-rendering': {
        type: import("vue").PropType<string | number>;
    };
    to: {
        type: import("vue").PropType<string | number>;
    };
    transform: {
        type: import("vue").PropType<string>;
    };
    u1: {
        type: import("vue").PropType<string | number>;
    };
    u2: {
        type: import("vue").PropType<string | number>;
    };
    'underline-position': {
        type: import("vue").PropType<string | number>;
    };
    'underline-thickness': {
        type: import("vue").PropType<string | number>;
    };
    unicode: {
        type: import("vue").PropType<string | number>;
    };
    'unicode-bidi': {
        type: import("vue").PropType<string | number>;
    };
    'unicode-range': {
        type: import("vue").PropType<string | number>;
    };
    'unitsPer-em': {
        type: import("vue").PropType<string | number>;
    };
    'v-alphabetic': {
        type: import("vue").PropType<string | number>;
    };
    values: {
        type: import("vue").PropType<string>;
    };
    'vector-effect': {
        type: import("vue").PropType<string | number>;
    };
    version: {
        type: import("vue").PropType<string>;
    };
    'vert-adv-y': {
        type: import("vue").PropType<string | number>;
    };
    'vert-origin-x': {
        type: import("vue").PropType<string | number>;
    };
    'vert-origin-y': {
        type: import("vue").PropType<string | number>;
    };
    'v-hanging': {
        type: import("vue").PropType<string | number>;
    };
    'v-ideographic': {
        type: import("vue").PropType<string | number>;
    };
    viewBox: {
        type: import("vue").PropType<string>;
    };
    viewTarget: {
        type: import("vue").PropType<string | number>;
    };
    visibility: {
        type: import("vue").PropType<string | number>;
    };
    'v-mathematical': {
        type: import("vue").PropType<string | number>;
    };
    widths: {
        type: import("vue").PropType<string | number>;
    };
    'word-spacing': {
        type: import("vue").PropType<string | number>;
    };
    'writing-mode': {
        type: import("vue").PropType<string | number>;
    };
    x1: {
        type: import("vue").PropType<string | number>;
    };
    x2: {
        type: import("vue").PropType<string | number>;
    };
    x: {
        type: import("vue").PropType<string | number>;
    };
    xChannelSelector: {
        type: import("vue").PropType<string>;
    };
    'x-height': {
        type: import("vue").PropType<string | number>;
    };
    xlinkActuate: {
        type: import("vue").PropType<string>;
    };
    xlinkArcrole: {
        type: import("vue").PropType<string>;
    };
    xlinkHref: {
        type: import("vue").PropType<string>;
    };
    xlinkRole: {
        type: import("vue").PropType<string>;
    };
    xlinkShow: {
        type: import("vue").PropType<string>;
    };
    xlinkTitle: {
        type: import("vue").PropType<string>;
    };
    xlinkType: {
        type: import("vue").PropType<string>;
    };
    xmlns: {
        type: import("vue").PropType<string>;
    };
    y1: {
        type: import("vue").PropType<string | number>;
    };
    y2: {
        type: import("vue").PropType<string | number>;
    };
    y: {
        type: import("vue").PropType<string | number>;
    };
    yChannelSelector: {
        type: import("vue").PropType<string>;
    };
    z: {
        type: import("vue").PropType<string | number>;
    };
    zoomAndPan: {
        type: import("vue").PropType<string>;
    };
    'aria-activedescendant': {
        type: import("vue").PropType<string>;
    };
    'aria-atomic': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-autocomplete': {
        type: import("vue").PropType<"both" | "none" | "inline" | "list">;
    };
    'aria-busy': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-checked': {
        type: import("vue").PropType<"mixed" | (boolean | "false" | "true")>;
    };
    'aria-colcount': {
        type: import("vue").PropType<string | number>;
    };
    'aria-colindex': {
        type: import("vue").PropType<string | number>;
    };
    'aria-colspan': {
        type: import("vue").PropType<string | number>;
    };
    'aria-controls': {
        type: import("vue").PropType<string>;
    };
    'aria-current': {
        type: import("vue").PropType<"page" | "time" | (boolean | "false" | "true") | "step" | "location" | "date">;
    };
    'aria-describedby': {
        type: import("vue").PropType<string>;
    };
    'aria-details': {
        type: import("vue").PropType<string>;
    };
    'aria-disabled': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-dropeffect': {
        type: import("vue").PropType<"link" | "move" | "none" | "copy" | "execute" | "popup">;
    };
    'aria-errormessage': {
        type: import("vue").PropType<string>;
    };
    'aria-expanded': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-flowto': {
        type: import("vue").PropType<string>;
    };
    'aria-grabbed': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-haspopup': {
        type: import("vue").PropType<"grid" | "listbox" | "menu" | "dialog" | (boolean | "false" | "true") | "tree">;
    };
    'aria-hidden': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-invalid': {
        type: import("vue").PropType<(boolean | "false" | "true") | "grammar" | "spelling">;
    };
    'aria-keyshortcuts': {
        type: import("vue").PropType<string>;
    };
    'aria-label': {
        type: import("vue").PropType<string>;
    };
    'aria-labelledby': {
        type: import("vue").PropType<string>;
    };
    'aria-level': {
        type: import("vue").PropType<string | number>;
    };
    'aria-live': {
        type: import("vue").PropType<"off" | "assertive" | "polite">;
    };
    'aria-modal': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-multiline': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-multiselectable': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-orientation': {
        type: import("vue").PropType<"horizontal" | "vertical">;
    };
    'aria-owns': {
        type: import("vue").PropType<string>;
    };
    'aria-placeholder': {
        type: import("vue").PropType<string>;
    };
    'aria-posinset': {
        type: import("vue").PropType<string | number>;
    };
    'aria-pressed': {
        type: import("vue").PropType<"mixed" | (boolean | "false" | "true")>;
    };
    'aria-readonly': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-relevant': {
        type: import("vue").PropType<"all" | "text" | "additions" | "additions text" | "removals">;
    };
    'aria-required': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-roledescription': {
        type: import("vue").PropType<string>;
    };
    'aria-rowcount': {
        type: import("vue").PropType<string | number>;
    };
    'aria-rowindex': {
        type: import("vue").PropType<string | number>;
    };
    'aria-rowspan': {
        type: import("vue").PropType<string | number>;
    };
    'aria-selected': {
        type: import("vue").PropType<boolean | "false" | "true">;
    };
    'aria-setsize': {
        type: import("vue").PropType<string | number>;
    };
    'aria-sort': {
        type: import("vue").PropType<"none" | "ascending" | "descending" | "other">;
    };
    'aria-valuemax': {
        type: import("vue").PropType<string | number>;
    };
    'aria-valuemin': {
        type: import("vue").PropType<string | number>;
    };
    'aria-valuenow': {
        type: import("vue").PropType<string | number>;
    };
    'aria-valuetext': {
        type: import("vue").PropType<string>;
    };
    onCopy: {
        type: import("vue").PropType<(payload: ClipboardEvent) => void>;
    };
    onCut: {
        type: import("vue").PropType<(payload: ClipboardEvent) => void>;
    };
    onPaste: {
        type: import("vue").PropType<(payload: ClipboardEvent) => void>;
    };
    onCompositionend: {
        type: import("vue").PropType<(payload: CompositionEvent) => void>;
    };
    onCompositionstart: {
        type: import("vue").PropType<(payload: CompositionEvent) => void>;
    };
    onCompositionupdate: {
        type: import("vue").PropType<(payload: CompositionEvent) => void>;
    };
    onDrag: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onDragend: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onDragenter: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onDragexit: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onDragleave: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onDragover: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onDragstart: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onDrop: {
        type: import("vue").PropType<(payload: DragEvent) => void>;
    };
    onFocus: {
        type: import("vue").PropType<(payload: FocusEvent) => void>;
    };
    onFocusin: {
        type: import("vue").PropType<(payload: FocusEvent) => void>;
    };
    onFocusout: {
        type: import("vue").PropType<(payload: FocusEvent) => void>;
    };
    onBlur: {
        type: import("vue").PropType<(payload: FocusEvent) => void>;
    };
    onChange: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onBeforeinput: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onInput: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onReset: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onSubmit: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onInvalid: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onLoad: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onError: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onKeydown: {
        type: import("vue").PropType<(payload: KeyboardEvent) => void>;
    };
    onKeypress: {
        type: import("vue").PropType<(payload: KeyboardEvent) => void>;
    };
    onKeyup: {
        type: import("vue").PropType<(payload: KeyboardEvent) => void>;
    };
    onAuxclick: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onClick: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onContextmenu: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onDblclick: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onMousedown: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onMouseenter: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onMouseleave: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onMousemove: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onMouseout: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onMouseover: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onMouseup: {
        type: import("vue").PropType<(payload: MouseEvent) => void>;
    };
    onAbort: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onCanplay: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onCanplaythrough: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onDurationchange: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onEmptied: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onEncrypted: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onEnded: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onLoadeddata: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onLoadedmetadata: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onLoadstart: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onPause: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onPlay: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onPlaying: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onProgress: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onRatechange: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onSeeked: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onSeeking: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onStalled: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onSuspend: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onTimeupdate: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onVolumechange: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onWaiting: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onSelect: {
        type: import("vue").PropType<(payload: Event) => void>;
    };
    onScroll: {
        type: import("vue").PropType<(payload: UIEvent) => void>;
    };
    onTouchcancel: {
        type: import("vue").PropType<(payload: TouchEvent) => void>;
    };
    onTouchend: {
        type: import("vue").PropType<(payload: TouchEvent) => void>;
    };
    onTouchmove: {
        type: import("vue").PropType<(payload: TouchEvent) => void>;
    };
    onTouchstart: {
        type: import("vue").PropType<(payload: TouchEvent) => void>;
    };
    onPointerdown: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onPointermove: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onPointerup: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onPointercancel: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onPointerenter: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onPointerleave: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onPointerover: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onPointerout: {
        type: import("vue").PropType<(payload: PointerEvent) => void>;
    };
    onWheel: {
        type: import("vue").PropType<(payload: WheelEvent) => void>;
    };
    onAnimationstart: {
        type: import("vue").PropType<(payload: AnimationEvent) => void>;
    };
    onAnimationend: {
        type: import("vue").PropType<(payload: AnimationEvent) => void>;
    };
    onAnimationiteration: {
        type: import("vue").PropType<(payload: AnimationEvent) => void>;
    };
    onTransitionend: {
        type: import("vue").PropType<(payload: TransitionEvent) => void>;
    };
    onTransitionstart: {
        type: import("vue").PropType<(payload: TransitionEvent) => void>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    variant?: unknown;
    gap?: unknown;
    color?: unknown;
    size?: unknown;
    innerHTML?: unknown;
    class?: unknown;
    style?: unknown;
    height?: unknown;
    id?: unknown;
    lang?: unknown;
    max?: unknown;
    media?: unknown;
    method?: unknown;
    min?: unknown;
    name?: unknown;
    target?: unknown;
    type?: unknown;
    width?: unknown;
    role?: unknown;
    tabindex?: unknown;
    'accent-height'?: unknown;
    accumulate?: unknown;
    additive?: unknown;
    'alignment-baseline'?: unknown;
    allowReorder?: unknown;
    alphabetic?: unknown;
    amplitude?: unknown;
    'arabic-form'?: unknown;
    ascent?: unknown;
    attributeName?: unknown;
    attributeType?: unknown;
    autoReverse?: unknown;
    azimuth?: unknown;
    baseFrequency?: unknown;
    'baseline-shift'?: unknown;
    baseProfile?: unknown;
    bbox?: unknown;
    begin?: unknown;
    bias?: unknown;
    by?: unknown;
    calcMode?: unknown;
    'cap-height'?: unknown;
    clip?: unknown;
    'clip-path'?: unknown;
    clipPathUnits?: unknown;
    'clip-rule'?: unknown;
    'color-interpolation'?: unknown;
    'color-interpolation-filters'?: unknown;
    'color-profile'?: unknown;
    'color-rendering'?: unknown;
    contentScriptType?: unknown;
    contentStyleType?: unknown;
    cursor?: unknown;
    cx?: unknown;
    cy?: unknown;
    d?: unknown;
    decelerate?: unknown;
    descent?: unknown;
    diffuseConstant?: unknown;
    direction?: unknown;
    display?: unknown;
    divisor?: unknown;
    'dominant-baseline'?: unknown;
    dur?: unknown;
    dx?: unknown;
    dy?: unknown;
    edgeMode?: unknown;
    elevation?: unknown;
    'enable-background'?: unknown;
    end?: unknown;
    exponent?: unknown;
    externalResourcesRequired?: unknown;
    fill?: unknown;
    'fill-opacity'?: unknown;
    'fill-rule'?: unknown;
    filter?: unknown;
    filterRes?: unknown;
    filterUnits?: unknown;
    'flood-color'?: unknown;
    'flood-opacity'?: unknown;
    focusable?: unknown;
    'font-family'?: unknown;
    'font-size'?: unknown;
    'font-size-adjust'?: unknown;
    'font-stretch'?: unknown;
    'font-style'?: unknown;
    'font-variant'?: unknown;
    'font-weight'?: unknown;
    format?: unknown;
    from?: unknown;
    fx?: unknown;
    fy?: unknown;
    g1?: unknown;
    g2?: unknown;
    'glyph-name'?: unknown;
    'glyph-orientation-horizontal'?: unknown;
    'glyph-orientation-vertical'?: unknown;
    glyphRef?: unknown;
    gradientTransform?: unknown;
    gradientUnits?: unknown;
    hanging?: unknown;
    'horiz-adv-x'?: unknown;
    'horiz-origin-x'?: unknown;
    href?: unknown;
    ideographic?: unknown;
    'image-rendering'?: unknown;
    in2?: unknown;
    in?: unknown;
    intercept?: unknown;
    k1?: unknown;
    k2?: unknown;
    k3?: unknown;
    k4?: unknown;
    k?: unknown;
    kernelMatrix?: unknown;
    kernelUnitLength?: unknown;
    kerning?: unknown;
    keyPoints?: unknown;
    keySplines?: unknown;
    keyTimes?: unknown;
    lengthAdjust?: unknown;
    'letter-spacing'?: unknown;
    'lighting-color'?: unknown;
    limitingConeAngle?: unknown;
    local?: unknown;
    'marker-end'?: unknown;
    markerHeight?: unknown;
    'marker-mid'?: unknown;
    'marker-start'?: unknown;
    markerUnits?: unknown;
    markerWidth?: unknown;
    mask?: unknown;
    maskContentUnits?: unknown;
    maskUnits?: unknown;
    mathematical?: unknown;
    mode?: unknown;
    numOctaves?: unknown;
    offset?: unknown;
    opacity?: unknown;
    operator?: unknown;
    order?: unknown;
    orient?: unknown;
    orientation?: unknown;
    origin?: unknown;
    overflow?: unknown;
    'overline-position'?: unknown;
    'overline-thickness'?: unknown;
    'paint-order'?: unknown;
    'panose-1'?: unknown;
    pathLength?: unknown;
    patternContentUnits?: unknown;
    patternTransform?: unknown;
    patternUnits?: unknown;
    'pointer-events'?: unknown;
    points?: unknown;
    pointsAtX?: unknown;
    pointsAtY?: unknown;
    pointsAtZ?: unknown;
    preserveAlpha?: unknown;
    preserveAspectRatio?: unknown;
    primitiveUnits?: unknown;
    r?: unknown;
    radius?: unknown;
    refX?: unknown;
    refY?: unknown;
    renderingIntent?: unknown;
    repeatCount?: unknown;
    repeatDur?: unknown;
    requiredExtensions?: unknown;
    requiredFeatures?: unknown;
    restart?: unknown;
    result?: unknown;
    rotate?: unknown;
    rx?: unknown;
    ry?: unknown;
    scale?: unknown;
    seed?: unknown;
    'shape-rendering'?: unknown;
    slope?: unknown;
    spacing?: unknown;
    specularConstant?: unknown;
    specularExponent?: unknown;
    speed?: unknown;
    spreadMethod?: unknown;
    startOffset?: unknown;
    stdDeviation?: unknown;
    stemh?: unknown;
    stemv?: unknown;
    stitchTiles?: unknown;
    'stop-color'?: unknown;
    'stop-opacity'?: unknown;
    'strikethrough-position'?: unknown;
    'strikethrough-thickness'?: unknown;
    string?: unknown;
    stroke?: unknown;
    'stroke-dasharray'?: unknown;
    'stroke-dashoffset'?: unknown;
    'stroke-linecap'?: unknown;
    'stroke-linejoin'?: unknown;
    'stroke-miterlimit'?: unknown;
    'stroke-opacity'?: unknown;
    'stroke-width'?: unknown;
    surfaceScale?: unknown;
    systemLanguage?: unknown;
    tableValues?: unknown;
    targetX?: unknown;
    targetY?: unknown;
    'text-anchor'?: unknown;
    'text-decoration'?: unknown;
    textLength?: unknown;
    'text-rendering'?: unknown;
    to?: unknown;
    transform?: unknown;
    u1?: unknown;
    u2?: unknown;
    'underline-position'?: unknown;
    'underline-thickness'?: unknown;
    unicode?: unknown;
    'unicode-bidi'?: unknown;
    'unicode-range'?: unknown;
    'unitsPer-em'?: unknown;
    'v-alphabetic'?: unknown;
    values?: unknown;
    'vector-effect'?: unknown;
    version?: unknown;
    'vert-adv-y'?: unknown;
    'vert-origin-x'?: unknown;
    'vert-origin-y'?: unknown;
    'v-hanging'?: unknown;
    'v-ideographic'?: unknown;
    viewBox?: unknown;
    viewTarget?: unknown;
    visibility?: unknown;
    'v-mathematical'?: unknown;
    widths?: unknown;
    'word-spacing'?: unknown;
    'writing-mode'?: unknown;
    x1?: unknown;
    x2?: unknown;
    x?: unknown;
    xChannelSelector?: unknown;
    'x-height'?: unknown;
    xlinkActuate?: unknown;
    xlinkArcrole?: unknown;
    xlinkHref?: unknown;
    xlinkRole?: unknown;
    xlinkShow?: unknown;
    xlinkTitle?: unknown;
    xlinkType?: unknown;
    xmlns?: unknown;
    y1?: unknown;
    y2?: unknown;
    y?: unknown;
    yChannelSelector?: unknown;
    z?: unknown;
    zoomAndPan?: unknown;
    'aria-activedescendant'?: unknown;
    'aria-atomic'?: unknown;
    'aria-autocomplete'?: unknown;
    'aria-busy'?: unknown;
    'aria-checked'?: unknown;
    'aria-colcount'?: unknown;
    'aria-colindex'?: unknown;
    'aria-colspan'?: unknown;
    'aria-controls'?: unknown;
    'aria-current'?: unknown;
    'aria-describedby'?: unknown;
    'aria-details'?: unknown;
    'aria-disabled'?: unknown;
    'aria-dropeffect'?: unknown;
    'aria-errormessage'?: unknown;
    'aria-expanded'?: unknown;
    'aria-flowto'?: unknown;
    'aria-grabbed'?: unknown;
    'aria-haspopup'?: unknown;
    'aria-hidden'?: unknown;
    'aria-invalid'?: unknown;
    'aria-keyshortcuts'?: unknown;
    'aria-label'?: unknown;
    'aria-labelledby'?: unknown;
    'aria-level'?: unknown;
    'aria-live'?: unknown;
    'aria-modal'?: unknown;
    'aria-multiline'?: unknown;
    'aria-multiselectable'?: unknown;
    'aria-orientation'?: unknown;
    'aria-owns'?: unknown;
    'aria-placeholder'?: unknown;
    'aria-posinset'?: unknown;
    'aria-pressed'?: unknown;
    'aria-readonly'?: unknown;
    'aria-relevant'?: unknown;
    'aria-required'?: unknown;
    'aria-roledescription'?: unknown;
    'aria-rowcount'?: unknown;
    'aria-rowindex'?: unknown;
    'aria-rowspan'?: unknown;
    'aria-selected'?: unknown;
    'aria-setsize'?: unknown;
    'aria-sort'?: unknown;
    'aria-valuemax'?: unknown;
    'aria-valuemin'?: unknown;
    'aria-valuenow'?: unknown;
    'aria-valuetext'?: unknown;
    onCopy?: unknown;
    onCut?: unknown;
    onPaste?: unknown;
    onCompositionend?: unknown;
    onCompositionstart?: unknown;
    onCompositionupdate?: unknown;
    onDrag?: unknown;
    onDragend?: unknown;
    onDragenter?: unknown;
    onDragexit?: unknown;
    onDragleave?: unknown;
    onDragover?: unknown;
    onDragstart?: unknown;
    onDrop?: unknown;
    onFocus?: unknown;
    onFocusin?: unknown;
    onFocusout?: unknown;
    onBlur?: unknown;
    onChange?: unknown;
    onBeforeinput?: unknown;
    onInput?: unknown;
    onReset?: unknown;
    onSubmit?: unknown;
    onInvalid?: unknown;
    onLoad?: unknown;
    onError?: unknown;
    onKeydown?: unknown;
    onKeypress?: unknown;
    onKeyup?: unknown;
    onAuxclick?: unknown;
    onClick?: unknown;
    onContextmenu?: unknown;
    onDblclick?: unknown;
    onMousedown?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onMousemove?: unknown;
    onMouseout?: unknown;
    onMouseover?: unknown;
    onMouseup?: unknown;
    onAbort?: unknown;
    onCanplay?: unknown;
    onCanplaythrough?: unknown;
    onDurationchange?: unknown;
    onEmptied?: unknown;
    onEncrypted?: unknown;
    onEnded?: unknown;
    onLoadeddata?: unknown;
    onLoadedmetadata?: unknown;
    onLoadstart?: unknown;
    onPause?: unknown;
    onPlay?: unknown;
    onPlaying?: unknown;
    onProgress?: unknown;
    onRatechange?: unknown;
    onSeeked?: unknown;
    onSeeking?: unknown;
    onStalled?: unknown;
    onSuspend?: unknown;
    onTimeupdate?: unknown;
    onVolumechange?: unknown;
    onWaiting?: unknown;
    onSelect?: unknown;
    onScroll?: unknown;
    onTouchcancel?: unknown;
    onTouchend?: unknown;
    onTouchmove?: unknown;
    onTouchstart?: unknown;
    onPointerdown?: unknown;
    onPointermove?: unknown;
    onPointerup?: unknown;
    onPointercancel?: unknown;
    onPointerenter?: unknown;
    onPointerleave?: unknown;
    onPointerover?: unknown;
    onPointerout?: unknown;
    onWheel?: unknown;
    onAnimationstart?: unknown;
    onAnimationend?: unknown;
    onAnimationiteration?: unknown;
    onTransitionend?: unknown;
    onTransitionstart?: unknown;
} & {
    gap: number;
    size: number;
    variant: BackgroundVariant;
} & {
    string?: (string | number) | undefined;
    targetX?: (string | number) | undefined;
    targetY?: (string | number) | undefined;
    id?: string | undefined;
    type?: string | undefined;
    target?: string | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    class?: unknown;
    onLoad?: ((payload: Event) => void) | undefined;
    onCopy?: ((payload: ClipboardEvent) => void) | undefined;
    onCut?: ((payload: ClipboardEvent) => void) | undefined;
    onPaste?: ((payload: ClipboardEvent) => void) | undefined;
    onCompositionend?: ((payload: CompositionEvent) => void) | undefined;
    onCompositionstart?: ((payload: CompositionEvent) => void) | undefined;
    onCompositionupdate?: ((payload: CompositionEvent) => void) | undefined;
    onDrag?: ((payload: DragEvent) => void) | undefined;
    onDragend?: ((payload: DragEvent) => void) | undefined;
    onDragenter?: ((payload: DragEvent) => void) | undefined;
    onDragexit?: ((payload: DragEvent) => void) | undefined;
    onDragleave?: ((payload: DragEvent) => void) | undefined;
    onDragover?: ((payload: DragEvent) => void) | undefined;
    onDragstart?: ((payload: DragEvent) => void) | undefined;
    onDrop?: ((payload: DragEvent) => void) | undefined;
    onFocus?: ((payload: FocusEvent) => void) | undefined;
    onFocusin?: ((payload: FocusEvent) => void) | undefined;
    onFocusout?: ((payload: FocusEvent) => void) | undefined;
    onBlur?: ((payload: FocusEvent) => void) | undefined;
    onChange?: ((payload: Event) => void) | undefined;
    onBeforeinput?: ((payload: Event) => void) | undefined;
    onInput?: ((payload: Event) => void) | undefined;
    onReset?: ((payload: Event) => void) | undefined;
    onSubmit?: ((payload: Event) => void) | undefined;
    onInvalid?: ((payload: Event) => void) | undefined;
    onError?: ((payload: Event) => void) | undefined;
    onKeydown?: ((payload: KeyboardEvent) => void) | undefined;
    onKeypress?: ((payload: KeyboardEvent) => void) | undefined;
    onKeyup?: ((payload: KeyboardEvent) => void) | undefined;
    onAuxclick?: ((payload: MouseEvent) => void) | undefined;
    onClick?: ((payload: MouseEvent) => void) | undefined;
    onContextmenu?: ((payload: MouseEvent) => void) | undefined;
    onDblclick?: ((payload: MouseEvent) => void) | undefined;
    onMousedown?: ((payload: MouseEvent) => void) | undefined;
    onMouseenter?: ((payload: MouseEvent) => void) | undefined;
    onMouseleave?: ((payload: MouseEvent) => void) | undefined;
    onMousemove?: ((payload: MouseEvent) => void) | undefined;
    onMouseout?: ((payload: MouseEvent) => void) | undefined;
    onMouseover?: ((payload: MouseEvent) => void) | undefined;
    onMouseup?: ((payload: MouseEvent) => void) | undefined;
    onAbort?: ((payload: Event) => void) | undefined;
    onCanplay?: ((payload: Event) => void) | undefined;
    onCanplaythrough?: ((payload: Event) => void) | undefined;
    onDurationchange?: ((payload: Event) => void) | undefined;
    onEmptied?: ((payload: Event) => void) | undefined;
    onEncrypted?: ((payload: Event) => void) | undefined;
    onEnded?: ((payload: Event) => void) | undefined;
    onLoadeddata?: ((payload: Event) => void) | undefined;
    onLoadedmetadata?: ((payload: Event) => void) | undefined;
    onLoadstart?: ((payload: Event) => void) | undefined;
    onPause?: ((payload: Event) => void) | undefined;
    onPlay?: ((payload: Event) => void) | undefined;
    onPlaying?: ((payload: Event) => void) | undefined;
    onProgress?: ((payload: Event) => void) | undefined;
    onRatechange?: ((payload: Event) => void) | undefined;
    onSeeked?: ((payload: Event) => void) | undefined;
    onSeeking?: ((payload: Event) => void) | undefined;
    onStalled?: ((payload: Event) => void) | undefined;
    onSuspend?: ((payload: Event) => void) | undefined;
    onTimeupdate?: ((payload: Event) => void) | undefined;
    onVolumechange?: ((payload: Event) => void) | undefined;
    onWaiting?: ((payload: Event) => void) | undefined;
    onSelect?: ((payload: Event) => void) | undefined;
    onScroll?: ((payload: UIEvent) => void) | undefined;
    onTouchcancel?: ((payload: TouchEvent) => void) | undefined;
    onTouchend?: ((payload: TouchEvent) => void) | undefined;
    onTouchmove?: ((payload: TouchEvent) => void) | undefined;
    onTouchstart?: ((payload: TouchEvent) => void) | undefined;
    onPointerdown?: ((payload: PointerEvent) => void) | undefined;
    onPointermove?: ((payload: PointerEvent) => void) | undefined;
    onPointerup?: ((payload: PointerEvent) => void) | undefined;
    onPointercancel?: ((payload: PointerEvent) => void) | undefined;
    onPointerenter?: ((payload: PointerEvent) => void) | undefined;
    onPointerleave?: ((payload: PointerEvent) => void) | undefined;
    onPointerover?: ((payload: PointerEvent) => void) | undefined;
    onPointerout?: ((payload: PointerEvent) => void) | undefined;
    onWheel?: ((payload: WheelEvent) => void) | undefined;
    onAnimationstart?: ((payload: AnimationEvent) => void) | undefined;
    onAnimationend?: ((payload: AnimationEvent) => void) | undefined;
    onAnimationiteration?: ((payload: AnimationEvent) => void) | undefined;
    onTransitionend?: ((payload: TransitionEvent) => void) | undefined;
    onTransitionstart?: ((payload: TransitionEvent) => void) | undefined;
    innerHTML?: string | undefined;
    lang?: string | undefined;
    tabindex?: (string | number) | undefined;
    role?: string | undefined;
    color?: string | undefined;
    "aria-activedescendant"?: string | undefined;
    "aria-atomic"?: (boolean | "false" | "true") | undefined;
    "aria-autocomplete"?: "both" | "none" | "inline" | "list" | undefined;
    "aria-busy"?: (boolean | "false" | "true") | undefined;
    "aria-checked"?: "mixed" | (boolean | "false" | "true") | undefined;
    "aria-colcount"?: (string | number) | undefined;
    "aria-colindex"?: (string | number) | undefined;
    "aria-colspan"?: (string | number) | undefined;
    "aria-controls"?: string | undefined;
    "aria-current"?: "page" | "time" | (boolean | "false" | "true") | "step" | "location" | "date" | undefined;
    "aria-describedby"?: string | undefined;
    "aria-details"?: string | undefined;
    "aria-disabled"?: (boolean | "false" | "true") | undefined;
    "aria-dropeffect"?: "link" | "move" | "none" | "copy" | "execute" | "popup" | undefined;
    "aria-errormessage"?: string | undefined;
    "aria-expanded"?: (boolean | "false" | "true") | undefined;
    "aria-flowto"?: string | undefined;
    "aria-grabbed"?: (boolean | "false" | "true") | undefined;
    "aria-haspopup"?: "grid" | "listbox" | "menu" | "dialog" | (boolean | "false" | "true") | "tree" | undefined;
    "aria-hidden"?: (boolean | "false" | "true") | undefined;
    "aria-invalid"?: (boolean | "false" | "true") | "grammar" | "spelling" | undefined;
    "aria-keyshortcuts"?: string | undefined;
    "aria-label"?: string | undefined;
    "aria-labelledby"?: string | undefined;
    "aria-level"?: (string | number) | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined;
    "aria-modal"?: (boolean | "false" | "true") | undefined;
    "aria-multiline"?: (boolean | "false" | "true") | undefined;
    "aria-multiselectable"?: (boolean | "false" | "true") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined;
    "aria-owns"?: string | undefined;
    "aria-placeholder"?: string | undefined;
    "aria-posinset"?: (string | number) | undefined;
    "aria-pressed"?: "mixed" | (boolean | "false" | "true") | undefined;
    "aria-readonly"?: (boolean | "false" | "true") | undefined;
    "aria-relevant"?: "all" | "text" | "additions" | "additions text" | "removals" | undefined;
    "aria-required"?: (boolean | "false" | "true") | undefined;
    "aria-roledescription"?: string | undefined;
    "aria-rowcount"?: (string | number) | undefined;
    "aria-rowindex"?: (string | number) | undefined;
    "aria-rowspan"?: (string | number) | undefined;
    "aria-selected"?: (boolean | "false" | "true") | undefined;
    "aria-setsize"?: (string | number) | undefined;
    "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined;
    "aria-valuemax"?: (string | number) | undefined;
    "aria-valuemin"?: (string | number) | undefined;
    "aria-valuenow"?: (string | number) | undefined;
    "aria-valuetext"?: string | undefined;
    transform?: string | undefined;
    x?: (string | number) | undefined;
    y?: (string | number) | undefined;
    width?: (string | number) | undefined;
    height?: (string | number) | undefined;
    x2?: (string | number) | undefined;
    y2?: (string | number) | undefined;
    filter?: string | undefined;
    fill?: string | undefined;
    values?: string | undefined;
    cursor?: (string | number) | undefined;
    direction?: (string | number) | undefined;
    display?: (string | number) | undefined;
    opacity?: (string | number) | undefined;
    order?: (string | number) | undefined;
    rotate?: (string | number) | undefined;
    scale?: (string | number) | undefined;
    visibility?: (string | number) | undefined;
    mask?: string | undefined;
    offset?: (string | number) | undefined;
    overflow?: (string | number) | undefined;
    azimuth?: (string | number) | undefined;
    clip?: (string | number) | undefined;
    stroke?: string | undefined;
    "clip-path"?: string | undefined;
    "font-family"?: string | undefined;
    "font-size"?: (string | number) | undefined;
    "font-size-adjust"?: (string | number) | undefined;
    "font-stretch"?: (string | number) | undefined;
    "font-style"?: (string | number) | undefined;
    "font-variant"?: (string | number) | undefined;
    "font-weight"?: (string | number) | undefined;
    "image-rendering"?: (string | number) | undefined;
    "letter-spacing"?: (string | number) | undefined;
    "paint-order"?: (string | number) | undefined;
    "pointer-events"?: (string | number) | undefined;
    "text-rendering"?: (string | number) | undefined;
    "unicode-bidi"?: (string | number) | undefined;
    "word-spacing"?: (string | number) | undefined;
    "writing-mode"?: (string | number) | undefined;
    "text-decoration"?: (string | number) | undefined;
    "alignment-baseline"?: "inherit" | "auto" | "baseline" | "middle" | "after-edge" | "alphabetic" | "before-edge" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge" | undefined;
    "baseline-shift"?: (string | number) | undefined;
    "clip-rule"?: (string | number) | undefined;
    "color-interpolation"?: (string | number) | undefined;
    "color-rendering"?: (string | number) | undefined;
    "dominant-baseline"?: (string | number) | undefined;
    "fill-opacity"?: (string | number) | undefined;
    "fill-rule"?: "inherit" | "evenodd" | "nonzero" | undefined;
    "flood-color"?: (string | number) | undefined;
    "flood-opacity"?: (string | number) | undefined;
    "glyph-orientation-vertical"?: (string | number) | undefined;
    "lighting-color"?: (string | number) | undefined;
    "marker-end"?: string | undefined;
    "marker-mid"?: string | undefined;
    "marker-start"?: string | undefined;
    "shape-rendering"?: (string | number) | undefined;
    "stop-color"?: string | undefined;
    "stop-opacity"?: (string | number) | undefined;
    "stroke-dasharray"?: (string | number) | undefined;
    "stroke-dashoffset"?: (string | number) | undefined;
    "stroke-linecap"?: "inherit" | "round" | "butt" | "square" | undefined;
    "stroke-linejoin"?: "inherit" | "round" | "bevel" | "miter" | undefined;
    "stroke-miterlimit"?: (string | number) | undefined;
    "stroke-opacity"?: (string | number) | undefined;
    "stroke-width"?: (string | number) | undefined;
    "text-anchor"?: string | undefined;
    "vector-effect"?: (string | number) | undefined;
    end?: (string | number) | undefined;
    local?: (string | number) | undefined;
    alphabetic?: (string | number) | undefined;
    hanging?: (string | number) | undefined;
    ideographic?: (string | number) | undefined;
    mathematical?: (string | number) | undefined;
    preserveAspectRatio?: string | undefined;
    requiredExtensions?: (string | number) | undefined;
    systemLanguage?: (string | number) | undefined;
    href?: string | undefined;
    radius?: (string | number) | undefined;
    name?: string | undefined;
    max?: (string | number) | undefined;
    media?: string | undefined;
    method?: string | undefined;
    min?: (string | number) | undefined;
    "accent-height"?: (string | number) | undefined;
    accumulate?: "none" | "sum" | undefined;
    additive?: "replace" | "sum" | undefined;
    allowReorder?: "yes" | "no" | undefined;
    amplitude?: (string | number) | undefined;
    "arabic-form"?: "initial" | "medial" | "terminal" | "isolated" | undefined;
    ascent?: (string | number) | undefined;
    attributeName?: string | undefined;
    attributeType?: string | undefined;
    autoReverse?: (string | number) | undefined;
    baseFrequency?: (string | number) | undefined;
    baseProfile?: (string | number) | undefined;
    bbox?: (string | number) | undefined;
    begin?: (string | number) | undefined;
    bias?: (string | number) | undefined;
    by?: (string | number) | undefined;
    calcMode?: (string | number) | undefined;
    "cap-height"?: (string | number) | undefined;
    clipPathUnits?: (string | number) | undefined;
    "color-interpolation-filters"?: "inherit" | "auto" | "linearRGB" | "sRGB" | undefined;
    "color-profile"?: (string | number) | undefined;
    contentScriptType?: (string | number) | undefined;
    contentStyleType?: (string | number) | undefined;
    cx?: (string | number) | undefined;
    cy?: (string | number) | undefined;
    d?: string | undefined;
    decelerate?: (string | number) | undefined;
    descent?: (string | number) | undefined;
    diffuseConstant?: (string | number) | undefined;
    divisor?: (string | number) | undefined;
    dur?: (string | number) | undefined;
    dx?: (string | number) | undefined;
    dy?: (string | number) | undefined;
    edgeMode?: (string | number) | undefined;
    elevation?: (string | number) | undefined;
    "enable-background"?: (string | number) | undefined;
    exponent?: (string | number) | undefined;
    externalResourcesRequired?: (string | number) | undefined;
    filterRes?: (string | number) | undefined;
    filterUnits?: (string | number) | undefined;
    focusable?: (string | number) | undefined;
    format?: (string | number) | undefined;
    from?: (string | number) | undefined;
    fx?: (string | number) | undefined;
    fy?: (string | number) | undefined;
    g1?: (string | number) | undefined;
    g2?: (string | number) | undefined;
    "glyph-name"?: (string | number) | undefined;
    "glyph-orientation-horizontal"?: (string | number) | undefined;
    glyphRef?: (string | number) | undefined;
    gradientTransform?: string | undefined;
    gradientUnits?: string | undefined;
    "horiz-adv-x"?: (string | number) | undefined;
    "horiz-origin-x"?: (string | number) | undefined;
    in2?: (string | number) | undefined;
    in?: string | undefined;
    intercept?: (string | number) | undefined;
    k1?: (string | number) | undefined;
    k2?: (string | number) | undefined;
    k3?: (string | number) | undefined;
    k4?: (string | number) | undefined;
    k?: (string | number) | undefined;
    kernelMatrix?: (string | number) | undefined;
    kernelUnitLength?: (string | number) | undefined;
    kerning?: (string | number) | undefined;
    keyPoints?: (string | number) | undefined;
    keySplines?: (string | number) | undefined;
    keyTimes?: (string | number) | undefined;
    lengthAdjust?: (string | number) | undefined;
    limitingConeAngle?: (string | number) | undefined;
    markerHeight?: (string | number) | undefined;
    markerUnits?: (string | number) | undefined;
    markerWidth?: (string | number) | undefined;
    maskContentUnits?: (string | number) | undefined;
    maskUnits?: (string | number) | undefined;
    mode?: (string | number) | undefined;
    numOctaves?: (string | number) | undefined;
    operator?: (string | number) | undefined;
    orient?: (string | number) | undefined;
    orientation?: (string | number) | undefined;
    origin?: (string | number) | undefined;
    "overline-position"?: (string | number) | undefined;
    "overline-thickness"?: (string | number) | undefined;
    "panose-1"?: (string | number) | undefined;
    pathLength?: (string | number) | undefined;
    patternContentUnits?: string | undefined;
    patternTransform?: (string | number) | undefined;
    patternUnits?: string | undefined;
    points?: string | undefined;
    pointsAtX?: (string | number) | undefined;
    pointsAtY?: (string | number) | undefined;
    pointsAtZ?: (string | number) | undefined;
    preserveAlpha?: (string | number) | undefined;
    primitiveUnits?: (string | number) | undefined;
    r?: (string | number) | undefined;
    refX?: (string | number) | undefined;
    refY?: (string | number) | undefined;
    renderingIntent?: (string | number) | undefined;
    repeatCount?: (string | number) | undefined;
    repeatDur?: (string | number) | undefined;
    requiredFeatures?: (string | number) | undefined;
    restart?: (string | number) | undefined;
    result?: string | undefined;
    rx?: (string | number) | undefined;
    ry?: (string | number) | undefined;
    seed?: (string | number) | undefined;
    slope?: (string | number) | undefined;
    spacing?: (string | number) | undefined;
    specularConstant?: (string | number) | undefined;
    specularExponent?: (string | number) | undefined;
    speed?: (string | number) | undefined;
    spreadMethod?: string | undefined;
    startOffset?: (string | number) | undefined;
    stdDeviation?: (string | number) | undefined;
    stemh?: (string | number) | undefined;
    stemv?: (string | number) | undefined;
    stitchTiles?: (string | number) | undefined;
    "strikethrough-position"?: (string | number) | undefined;
    "strikethrough-thickness"?: (string | number) | undefined;
    surfaceScale?: (string | number) | undefined;
    tableValues?: (string | number) | undefined;
    textLength?: (string | number) | undefined;
    to?: (string | number) | undefined;
    u1?: (string | number) | undefined;
    u2?: (string | number) | undefined;
    "underline-position"?: (string | number) | undefined;
    "underline-thickness"?: (string | number) | undefined;
    unicode?: (string | number) | undefined;
    "unicode-range"?: (string | number) | undefined;
    "unitsPer-em"?: (string | number) | undefined;
    "v-alphabetic"?: (string | number) | undefined;
    version?: string | undefined;
    "vert-adv-y"?: (string | number) | undefined;
    "vert-origin-x"?: (string | number) | undefined;
    "vert-origin-y"?: (string | number) | undefined;
    "v-hanging"?: (string | number) | undefined;
    "v-ideographic"?: (string | number) | undefined;
    viewBox?: string | undefined;
    viewTarget?: (string | number) | undefined;
    "v-mathematical"?: (string | number) | undefined;
    widths?: (string | number) | undefined;
    x1?: (string | number) | undefined;
    xChannelSelector?: string | undefined;
    "x-height"?: (string | number) | undefined;
    xlinkActuate?: string | undefined;
    xlinkArcrole?: string | undefined;
    xlinkHref?: string | undefined;
    xlinkRole?: string | undefined;
    xlinkShow?: string | undefined;
    xlinkTitle?: string | undefined;
    xlinkType?: string | undefined;
    xmlns?: string | undefined;
    y1?: (string | number) | undefined;
    yChannelSelector?: string | undefined;
    z?: (string | number) | undefined;
    zoomAndPan?: string | undefined;
}>, {
    gap: number;
    size: number;
    variant: BackgroundVariant;
}>;
export default _default;
